import { http } from '../request/request';

/**
 * 当前登录用户的绑定信息
 * @param params 请求参数
 */
export const getCurInfo = async (params: any) =>
    await http.get<any>('/parentBind/curInfo', params);

/**
 * 家长绑定管理员
 * @param data 请求参数
 */
export const parentBindAdmin = async (data: any) =>
    await http.post<any>('/parentBind/admin', data);

/**
 * 家长申请绑定
 * @param data 请求参数
 */
export const parentBindApply = async (data: any) =>
    await http.post<any>('/parentBind/apply', data);

/**
 * -设备当前管理员信息
 * @param params 请求参数
 */
export const adminInfo = async (params: any) =>
    await http.get<any>('/parentBind/adminInfo', params);

/**
 * -家长申请绑定信息
 * @param params 请求参数
 */
export const applyInfo = async (params: any) =>
    await http.get<any>('/parentBind/apply/info', params);

/**
 * 管理员审批
 * @param data 请求参数
 */
export const adminApproval = async (data: any) =>
    await http.post<any>('/parentBind/admin/approval', data);

/**
 * 时间管控保存
 * @param data 请求参数
 */
export const deviceTimeControl = async (data: any) =>
    await http.post<any>('/deviceTimeControl', data);
